<template>
  <Select
    v-model="select"
    size="small"
    @on-change="onChange"
  >
    <Option
      v-for="item in listOption"
      :key="item.value"
      :value="item.value"
    >
      {{ item.label }}
    </Option>
  </Select>
</template>

<script>
import { listTypeKeyword } from '@/vue/components/Shopee/Seller/Keyword/mixin/Data';

export default {
  name: 'ShopeeKeywordSelectType',
  props: {
    value: {
      type: String,
      require: true,
    },
  },
  model: {
    prop: 'value',
    event: 'change',
  },
  data() {
    return {
      select: this.value,
      listOption: listTypeKeyword,
    };
  },
  methods: {
    onChange() {
      this.$emit('change', this.select);
    },
  },
};
</script>
